;::::::::::::::::::::::::::::::::::::::::::::: Printer Epson FX80 PEPSFX80.INC
; Purpose.....: Definitions for Epron FX-80 printer
;--------------------------------------------------------------------- history
; 25.08.2023..: Created
; 29.10.2023..: Changed symbol names (pc)onstants, pv)ariables)
;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
pcVERS		EQU	31029		; module version (ymmdd, 65535 max)

pcPLEN		EQU	60		; printer physical page length
pcMR10		EQU	0		; left margin 10CPI
pcMR12		EQU	8		;             12CPI
pcMR15		EQU	15		;             15CPI
pcPW10		EQU	80		; printer page width @ 10CPI
pcPW12		EQU	92		; printer page width @ 12CPI
pcPW15		EQU	120		; printer page width @ 15CPI

		IF	upESCS
pvINIT:		DB	2
		DB	27,'@',0,0,0	; initialize printer

pvPEOF:		DB	2
		DB	27,'8',0,0,0	; deselect paper end detector

pvPEON:		DB	2
		DB	27,'9',0,0,0	; select paper end detector 

pvFF:		DB	1
		DB	12,0,0,0,0	; form feed

pv10CI:		DB	2
		DB	27,'P',0,0,0	; select 10 CPI (pica)

pv12CI:		DB	2
		DB	27,'M',0,0,0	; select 12 CPI (elite)

pv15CI:		DB	2
		DB	27,15,0,0,0	; select 15 CPI (condensed)

pvULON:		DB	3
		DB	27,'-',49,0,0	; select underline mode   

pvULOF:		DB	3
		DB	27,'-',48,0,0	; cancel underline mode

pvLM0:		DB	3
		DB	27,'l',0,0,0	; left margin = 0

pvLM10:		DB	3
		DB	27,'l'
		DB	pcMR10,0,0	; left margin @ 10CPI (pica)

pvLM12:		DB	3
		DB	27,'l'
		DB	pcMR12,0,0	; left margin @ 12CPI (elite)	

pvLM15:		DB	3
		DB	27,'l'
		DB	pcMR15,0,0	; left margin @ 15CPI (condensed)

pvLM:		DB	2
		DB	27,'l',0,0,0	; left margin without value

pvCRLF:		DB	2
		DB	13,10,0,0,0	; CR/LF sequence
		ENDIF
;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: EOF PEPSFX80.INC
2
		DB	13,